petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDSGetTotalComponents

Returns the total number of components in this system

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetTotalComponents(PetscDS prob, PetscInt *Nc)

Not collective

### Input Parameter

prob -The PetscDS object

### Output Parameter

dim -The total number of components

### See Also

PetscDSGetNumFields(), PetscDSCreate()

Level:beginner
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages